Bug 1563230 - [RFE] Limit the Kibana index-patterns for cluster admins [NEEDINFO]
Summary: [RFE] Limit the Kibana index-patterns for cluster admins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.9.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 12:26 UTC by Jeff Cantrill
Modified: 2018-05-17 06:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Limit the number of Kibana index-patterns for cluster admins Reason: The list is unmanageable and unneeded on large clusters with many namespaces Result: Cluster admins only see a limited subset of index-patterns
Clone Of:
Environment:
Last Closed: 2018-05-17 06:43:34 UTC
Target Upstream Version:
jcantril: needinfo? (bmcelvee)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github fabric8io openshift-elasticsearch-plugin pull 128 'None' 'closed' 'reduce index-patterns for cluster-admins' 2019-12-09 07:37:45 UTC
Github openshift origin-aggregated-logging pull 1048 'None' 'closed' 'bug 1560778. Reduce the number of index-patterns for cluster admins' 2019-12-09 07:37:45 UTC
Github openshift origin-aggregated-logging pull 1068 'None' 'closed' '1560778 on 39' 2019-12-09 07:37:45 UTC
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:44:07 UTC

Description Jeff Cantrill 2018-04-03 12:26:18 UTC
The starter clusters where cluster-admins have access to every project have no need to have an index-pattern for each one.  They have access to all the indices so a explicit set will provide coverage for their needs:

.operations.*
.oprhaned.*
project.*
.all

Comment 2 Anping Li 2018-04-17 06:57:02 UTC
What is expected result?   Are the follow indices can be view in kibaban by default when login with cluster-admin? 

.operations.*
.oprhaned.*
project.*
.all

Comment 3 Jeff Cantrill 2018-04-17 12:23:43 UTC
Those provided as part of the configuration or the defaults: https://github.com/fabric8io/openshift-elasticsearch-plugin/pull/128/files#diff-d8f69bf5abf03cc08a89bdb9c643fa3cR81

Comment 4 Anping Li 2018-04-18 09:26:17 UTC
I couldn't see the .oprhaned.* patten in kibana.  The fix is in OSE_ES_VER=2.4.4.22. Currently, the OSE_ES_VER=2.4.4.21.  Waiting for new image.

Comment 8 Anping Li 2018-05-03 08:16:43 UTC
The following index pattern are added in kibana by default when login as cluster-admin in logging:v3.9.27.

.operations.*
.oprhaned.*
project.*
.all

Comment 12 errata-xmlrpc 2018-05-17 06:43:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.